# createStartupPluginAndRegister

inline fun < T : StartPlugin> createStartupPluginAndRegister (name: String = uuid4().toString(), block: ( String ) -> T ): T (source)

Creates T using block, register it in StartPluginSerializer using its StartPluginSerializer.registerPlugin and returns created by block plugin

#### Parameters

name

Will be used as a key for registration in StartPluginSerializer and will be passed to the block as parameter

inline fun < T : StartPlugin> createStartupPluginAndRegister (kClass: KClass < T >, name: String = uuid4().toString(), block: ( String ) -> T ): T (source)
inline fun < T : StartPlugin> createStartupPluginAndRegister (block: ( String ) -> T ): T (source)

Creates T using block, register it in StartPluginSerializer using its StartPluginSerializer.registerPlugin and returns created by block plugin